Bug 795707 - double-free upon "old buggy kernel" sysfs_read failure
double-free upon "old buggy kernel" sysfs_read failure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 795747 795748
  Show dependency treegraph
 
Reported: 2012-02-21 05:44 EST by Jim Meyering
Modified: 2013-03-13 16:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: mdadm-3.2.3-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 795747 795748 (view as bug list)
Environment:
Last Closed: 2012-03-11 21:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
avoid double-free upon "old buggy kernel" sysfs_read failure (893 bytes, patch)
2012-02-21 05:44 EST, Jim Meyering
no flags Details | Diff

  None (edit)
Description Jim Meyering 2012-02-21 05:44:01 EST
Created attachment 564646 [details]
avoid double-free upon "old buggy kernel" sysfs_read failure

Description of problem: double-free upon error

Version-Release number of selected component (if applicable): 
mdadm-3.2.3-5.fc16.x86_64 (probably.  I haven't triggered it)

How reproducible: every time, I suppose

Steps to Reproduce:
1. don't know off hand
2.
3.
  
Actual results: abort, segfault, etc.


Expected results: no double free


Additional info:

Attached patch based on
git://anonscm.debian.org/pkg-mdadm/mdadm.git
b36c1880eac4e2c22783ad0e088a5e27cd2d4121
Comment 1 Fedora Update System 2012-02-23 06:05:36 EST
mdadm-3.2.3-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.3-6.fc17
Comment 2 Fedora Update System 2012-02-23 17:30:23 EST
Package mdadm-3.2.3-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.3-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2297/mdadm-3.2.3-6.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-03-11 21:42:58 EDT
mdadm-3.2.3-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.